> For the complete documentation index, see [llms.txt](https://docs.3dolphins.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.3dolphins.ai/5.3.0-id/api/bot-api/think-paragraph-api.md).

# Think Paragraph API

## Add Document Think Paragraph

<mark style="color:green;">`POST`</mark> `http://[server]/dolphin/apiv1/graph/document/add`

Method ini digunakan untuk menambahkan dokumen pada think paragraph.

#### Headers

| Name          | Type   | Description              |
| ------------- | ------ | ------------------------ |
| Content Type  | string | application/json         |
| Authorization | string | Bearer \[generatedToken] |

#### Request Body

| Name         | Type   | Description                                                                                                                                                           |
| ------------ | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Body Request | string | <p>{ <br>"title":"hai", <br>"text":"text input document", <br>"category\_1": "category 1", <br>"category\_2": "category 2", <br>"category\_3": "category 3" <br>}</p> |

{% tabs %}
{% tab title="200 " %}

```
{
"status": “success”,
"data": {
     "title":"hai",
			"text":"text input document",
			"category_1": "category 1",
			"category_2": "category 2",
			"category_3": "category 3"
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.3dolphins.ai/5.3.0-id/api/bot-api/think-paragraph-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
